> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a trigger

> Update a trigger (name, active state, message, filters)



## OpenAPI

````yaml PATCH /api/triggers/{id}
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/triggers/{id}:
    patch:
      description: Update a trigger (name, active state, message, filters)
      operationId: patchApiTriggersById
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                active:
                  type: boolean
                message:
                  type:
                    - string
                    - 'null'
                alertType:
                  type:
                    - string
                    - 'null'
                  enum:
                    - CRITICAL
                    - WARNING
                    - INFO
                    - null
                filters:
                  type: object
                  additionalProperties: {}
                actionParams:
                  type: object
                  additionalProperties: {}
      responses:
        '200':
          description: Trigger updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  action:
                    type: string
                    enum:
                      - SEND_EMAIL
                      - ADD_TO_DATASET
                      - ADD_TO_ANNOTATION_QUEUE
                      - SEND_SLACK_MESSAGE
                  actionParams:
                    type: object
                    additionalProperties: {}
                  filters:
                    type: object
                    additionalProperties: {}
                  active:
                    type: boolean
                  message:
                    type:
                      - string
                      - 'null'
                  alertType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - CRITICAL
                      - WARNING
                      - INFO
                      - null
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  platformUrl:
                    type: string
                    format: uri
                required:
                  - id
                  - name
                  - action
                  - actionParams
                  - filters
                  - active
                  - message
                  - alertType
                  - createdAt
                  - updatedAt
                  - platformUrl
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '404':
          description: Trigger not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````